repo/gentoo:master commit in: dev-python/sqlglot/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786588320.6c19205c209dff186ebd8692bd25aff8f5d832bd.mgorny@gentoo>
commit:     6c19205c209dff186ebd8692bd25aff8f5d832bd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 02:02:28 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 02:32:00 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c19205c

dev-python/sqlglot: Bump to 30.17.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sqlglot/Manifest               |  1 +
 dev-python/sqlglot/sqlglot-30.17.0.ebuild | 53 +++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 1658e1a1941b..c7560ce4379f 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -1 +1,2 @@
 DIST sqlglot-30.16.0.tar.gz 5984853 BLAKE2B d53a8f73b7029642a726d0c71c9bbd6c5ba736381df2e11776704ff3a7eeb78eee76011edec18b4be45c13392276f5a351d2440896e3af27367a3667e41bea01 SHA512 2c6bda73778bd7a8e669351362e78c807a5bbf17a282c4d17e4f3de7557103f7e7635a42cdf88a60bd3d6b29d2bd80eb671dd8631b6ff1d8daa72ae5684f2616
+DIST sqlglot-30.17.0.tar.gz 5999019 BLAKE2B 7d9e3855bc37296b01f55cde9f48a4da4ababc9600e59a9afe1748d00ae99046aaf41fce488ecee3a096351e73464c6da0da3b1b3481b427d768314b87e69cab SHA512 f451481fd2aea96e6c7818604414ac3759c478bbd4adff655358e0c551e125111ce12b956e9fac6cb1ec5e0cb5338991744a90972e1fe546954978ebd856d730

diff --git a/dev-python/sqlglot/sqlglot-30.17.0.ebuild b/dev-python/sqlglot/sqlglot-30.17.0.ebuild
new file mode 100644
index 000000000000..664549d12560
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-30.17.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+	https://sqlglot.com/
+	https://github.com/tobymao/sqlglot/
+	https://pypi.org/project/sqlglot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+# Native extensions removed: it uses mypyc which is incredibly slow
+# and then the extension crashes anyway.  Upstream uses their own mypy
+# fork which might help but that's just insane.
+
+BDEPEND="
+	dev-python/setuptools-scm[${PYTHON_USEDEP}]
+	test? (
+		dev-python/pytz[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+	local EPYTEST_IGNORE=(
+		# Tests require pyspark or duckdb which aren't in the tree.
+		# Pandas would be a requirement normally, but it gets ignored by proxy.
+		"tests/dataframe/integration/test_dataframe.py"
+		"tests/dataframe/integration/test_grouped_data.py"
+		"tests/dataframe/integration/test_session.py"
+		"tests/test_executor.py"
+		"tests/test_optimizer.py"
+	)
+
+	rm -rf sqlglot || die
+	epytest
+}
+
+pkg_postinst() {
+	optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.